<ng-template #name>Clover</ng-template>


<hr>
<h2>Lazy Loading Child tree</h2>
<p-tree [value]="files" [filter]="true" (onNodeExpand)="loadNode($event)">

</p-tree>

<hr>
<h2>Basic Tree</h2>
<p-tree [value]="files1" [filter]="true">

</p-tree>

<hr>
<h2>Select Tree</h2>
<p-tree [value]='files2' selectionMode='single' [filter]="true" [(selection)]='selectedFile'
  (onNodeSelect)="nodeSelect($event)">
</p-tree>
